CentOS / RHEL 下锁定软件包在一个特定的版本

  • A+
所属分类:Linux

有些时候,我们在对系统进行更新操作时,又不需要对某些软件包进行升级操作,要把该包锁定在某个特定版本下。比如mysql-server,为了避免更新遇到不可预知的错误,禁止对该包进行升级。

那么该如何锁定包在特定版本下呢?

在上一篇《CentOS / RHEL 防止Kernel升级》,该方法也可以实现。

下面我来介绍另一种方法。使用yum versionlock 命令来锁定版本。

1. 安装

2. 添加锁定包

perl包锁定到当前版本

3. 查看锁定列表

4. 清除单个包锁定

5. 清除所有锁定

6. 实例

锁定perl当前版本

更新perl版本

No Packages marked for Update可见锁定成功了。

为了更新取消perl锁定

更新perl包

更新前后perl版本

Centos

使用该指令就可以避免误升级软件包到最新版本。特别是在生产环境下的软件包,版本的更新可以有些配置参数不兼容到服务停止,从而影响正常的访问。

weinxin
微信公众号
扫一扫关注运维生存时间公众号,获取最新技术文章~

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: